org.apache.sysds.api.mlcontext

## Class MatrixMetadata

- java.lang.Object
- - org.apache.sysds.api.mlcontext.Metadata
  - - org.apache.sysds.api.mlcontext.MatrixMetadata

-     public class MatrixMetadata
      extends Metadata

  Matrix metadata, such as the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in the matrix.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MatrixMetadata()`
    `MatrixMetadata(DataCharacteristics dataCharacteristics)` Constructor to create a MatrixMetadata object based on a DataCharacteristics object.
    `MatrixMetadata(int numRows, int numColumns)` Constructor to create a MatrixMetadata object based on the number of rows and the number of columns in a matrix.
    `MatrixMetadata(int numRows, int numColumns, int blen)` Constructor to create a MatrixMetadata object based on the number of rows, the number of columns, the number of rows per block, and the number of columns per block in a matrix.
    `MatrixMetadata(int numRows, int numColumns, int numNonZeros, int blen)` Constructor to create a MatrixMetadata object based on the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a matrix.
    `MatrixMetadata(Long numRows, Long numColumns)` Constructor to create a MatrixMetadata object based on the number of rows and the number of columns in a matrix.
    `MatrixMetadata(Long numRows, Long numColumns, Integer blen)` Constructor to create a MatrixMetadata object based on the number of rows, the number of columns, the number of rows per block, and the number of columns per block in a matrix.
    `MatrixMetadata(Long numRows, Long numColumns, Long numNonZeros)` Constructor to create a MatrixMetadata object based on the number of rows, the number of columns, and the number of non-zero values in a matrix.
    `MatrixMetadata(Long numRows, Long numColumns, Long numNonZeros, Integer blen)` Constructor to create a MatrixMetadata object based on the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a matrix.
    `MatrixMetadata(MatrixFormat matrixFormat)` Constructor to create a MatrixMetadata object based on matrix format.
    `MatrixMetadata(MatrixFormat matrixFormat, int numRows, int numColumns)` Constructor to create a MatrixMetadata object based on matrix format, the number of rows, and the number of columns in a matrix.
    `MatrixMetadata(MatrixFormat matrixFormat, int numRows, int numColumns, int numNonZeros)` Constructor to create a MatrixMetadata object based on matrix format, the number of rows, the number of columns, and the number of non-zero values in a matrix.
    `MatrixMetadata(MatrixFormat matrixFormat, int numRows, int numColumns, int numNonZeros, int blen)` Constructor to create a MatrixMetadata object based on matrix format, the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a matrix.
    `MatrixMetadata(MatrixFormat matrixFormat, Long numRows, Long numColumns)` Constructor to create a MatrixMetadata object based on matrix format, the number of rows, and the number of columns in a matrix.
    `MatrixMetadata(MatrixFormat matrixFormat, Long numRows, Long numColumns, Long numNonZeros)` Constructor to create a MatrixMetadata object based on matrix format, the number of rows, the number of columns, and the number of non-zero values in a matrix.
    `MatrixMetadata(MatrixFormat matrixFormat, Long numRows, Long numColumns, Long numNonZeros, Integer blen)` Constructor to create a MatrixMetadata object based on matrix format, the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a matrix.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MatrixFormat` | `getMatrixFormat()` Obtain the matrix format
    `void` | `setMatrixFormat(MatrixFormat matrixFormat)` Set the matrix format

    - ### Methods inherited from class org.apache.sysds.api.mlcontext.Metadata

      `asMatrixCharacteristics, getBlocksize, getNumColumns, getNumNonZeros, getNumRows, setBlocksize, setMatrixCharacteristics, setNumColumns, setNumNonZeros, setNumRows, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MatrixMetadata

          public MatrixMetadata()

    - #### MatrixMetadata

          public MatrixMetadata(MatrixFormat matrixFormat)

      Constructor to create a MatrixMetadata object based on matrix format.
      Parameters:
        `matrixFormat` - The matrix format.

    - #### MatrixMetadata

          public MatrixMetadata(MatrixFormat matrixFormat,
                                Long numRows,
                                Long numColumns)

      Constructor to create a MatrixMetadata object based on matrix format, the number of rows, and the number of columns in a matrix.
      Parameters:
        `matrixFormat` - The matrix format.
        `numRows` - The number of rows in the matrix.
        `numColumns` - The number of columns in the matrix.

    - #### MatrixMetadata

          public MatrixMetadata(MatrixFormat matrixFormat,
                                int numRows,
                                int numColumns)

      Constructor to create a MatrixMetadata object based on matrix format, the number of rows, and the number of columns in a matrix.
      Parameters:
        `matrixFormat` - The matrix format.
        `numRows` - The number of rows in the matrix.
        `numColumns` - The number of columns in the matrix.

    - #### MatrixMetadata

          public MatrixMetadata(MatrixFormat matrixFormat,
                                Long numRows,
                                Long numColumns,
                                Long numNonZeros)

      Constructor to create a MatrixMetadata object based on matrix format, the number of rows, the number of columns, and the number of non-zero values in a matrix.
      Parameters:
        `matrixFormat` - The matrix format.
        `numRows` - The number of rows in the matrix.
        `numColumns` - The number of columns in the matrix.
        `numNonZeros` - The number of non-zero values in the matrix.

    - #### MatrixMetadata

          public MatrixMetadata(MatrixFormat matrixFormat,
                                int numRows,
                                int numColumns,
                                int numNonZeros)

      Constructor to create a MatrixMetadata object based on matrix format, the number of rows, the number of columns, and the number of non-zero values in a matrix.
      Parameters:
        `matrixFormat` - The matrix format.
        `numRows` - The number of rows in the matrix.
        `numColumns` - The number of columns in the matrix.
        `numNonZeros` - The number of non-zero values in the matrix.

    - #### MatrixMetadata

          public MatrixMetadata(MatrixFormat matrixFormat,
                                Long numRows,
                                Long numColumns,
                                Long numNonZeros,
                                Integer blen)

      Constructor to create a MatrixMetadata object based on matrix format, the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a matrix.
      Parameters:
        `matrixFormat` - The matrix format.
        `numRows` - The number of rows in the matrix.
        `numColumns` - The number of columns in the matrix.
        `numNonZeros` - The number of non-zero values in the matrix.
        `blen` - The number of rows/cols per block in the matrix.

    - #### MatrixMetadata

          public MatrixMetadata(MatrixFormat matrixFormat,
                                int numRows,
                                int numColumns,
                                int numNonZeros,
                                int blen)

      Constructor to create a MatrixMetadata object based on matrix format, the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a matrix.
      Parameters:
        `matrixFormat` - The matrix format.
        `numRows` - The number of rows in the matrix.
        `numColumns` - The number of columns in the matrix.
        `numNonZeros` - The number of non-zero values in the matrix.
        `blen` - The number of rows/cols per block in the matrix.

    - #### MatrixMetadata

          public MatrixMetadata(Long numRows,
                                Long numColumns)

      Constructor to create a MatrixMetadata object based on the number of rows and the number of columns in a matrix.
      Parameters:
        `numRows` - The number of rows in the matrix.
        `numColumns` - The number of columns in the matrix.

    - #### MatrixMetadata

          public MatrixMetadata(int numRows,
                                int numColumns)

      Constructor to create a MatrixMetadata object based on the number of rows and the number of columns in a matrix.
      Parameters:
        `numRows` - The number of rows in the matrix.
        `numColumns` - The number of columns in the matrix.

    - #### MatrixMetadata

          public MatrixMetadata(Long numRows,
                                Long numColumns,
                                Long numNonZeros)

      Constructor to create a MatrixMetadata object based on the number of rows, the number of columns, and the number of non-zero values in a matrix.
      Parameters:
        `numRows` - The number of rows in the matrix.
        `numColumns` - The number of columns in the matrix.
        `numNonZeros` - The number of non-zero values in the matrix.

    - #### MatrixMetadata

          public MatrixMetadata(Long numRows,
                                Long numColumns,
                                Integer blen)

      Constructor to create a MatrixMetadata object based on the number of rows, the number of columns, the number of rows per block, and the number of columns per block in a matrix.
      Parameters:
        `numRows` - The number of rows in the matrix.
        `numColumns` - The number of columns in the matrix.
        `blen` - The number of rows/cols per block in the matrix.

    - #### MatrixMetadata

          public MatrixMetadata(int numRows,
                                int numColumns,
                                int blen)

      Constructor to create a MatrixMetadata object based on the number of rows, the number of columns, the number of rows per block, and the number of columns per block in a matrix.
      Parameters:
        `numRows` - The number of rows in the matrix.
        `numColumns` - The number of columns in the matrix.
        `blen` - The number of rows/cols per block in the matrix.

    - #### MatrixMetadata

          public MatrixMetadata(Long numRows,
                                Long numColumns,
                                Long numNonZeros,
                                Integer blen)

      Constructor to create a MatrixMetadata object based on the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a matrix.
      Parameters:
        `numRows` - The number of rows in the matrix.
        `numColumns` - The number of columns in the matrix.
        `numNonZeros` - The number of non-zero values in the matrix.
        `blen` - The number of rows/cols per block in the matrix.

    - #### MatrixMetadata

          public MatrixMetadata(int numRows,
                                int numColumns,
                                int numNonZeros,
                                int blen)

      Constructor to create a MatrixMetadata object based on the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a matrix.
      Parameters:
        `numRows` - The number of rows in the matrix.
        `numColumns` - The number of columns in the matrix.
        `numNonZeros` - The number of non-zero values in the matrix.
        `blen` - The number of rows/cols per block in the matrix.

    - #### MatrixMetadata

          public MatrixMetadata(DataCharacteristics dataCharacteristics)

      Constructor to create a MatrixMetadata object based on a DataCharacteristics object.
      Parameters:
        `dataCharacteristics` - the matrix metadata as a DataCharacteristics object

  - ### Method Detail

    - #### getMatrixFormat

          public MatrixFormat getMatrixFormat()

      Obtain the matrix format
      Returns:
        the matrix format

    - #### setMatrixFormat

          public void setMatrixFormat(MatrixFormat matrixFormat)

      Set the matrix format
      Parameters:
        `matrixFormat` - the matrix format

Copyright © 2021 The Apache Software Foundation. All rights reserved.